Skip to content

Get a child File Entity by path

GET
/media/{mediaId}/children/{path}

Returns the child File’s full Entity (with locations and status). Use entity.url to fetch bytes directly from the storage provider.

mediaId
required
string
path
required
string

Child Entity

object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
accountId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
kind
required
string
Allowed values: File Directory
scope
required
string
Allowed values: Collection User
provenance
required
string
Allowed values: UserUpload SystemGenerated
status
required
string
Allowed values: Pending Processing Ready Failed
fileName
required
string
mimeType
required
Any of:
string
fileSize
required
Any of:
integer
<= 9007199254740991
contentHash
required
Any of:
string
parentId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
path
required
Any of:
string
uploadedAt
required
Any of:
string
locations
required
Array<object>
object
id
required
string
mediaId
required
string
provider
required
string
Allowed values: R2 Arweave S3 IPFS
role
required
string
Allowed values: Origin Archive Mirror
reference
required
string
status
required
string
Allowed values: Pending Succeeded Failed
attempts
required
integer
<= 9007199254740991
lastError
required
Any of:
string
syncedAt
required
Any of:
string
metadata
required
Any of:
object
key
additional properties
createdAt
required
string
updatedAt
required
string
url
required
Any of:
string format: uri
createdAt
required
string
updatedAt
required
string

Parent is not a Directory

Unauthorized

Forbidden

Child not found